From 02550c04a0cb3b3def55f2c16fa9f55ccf7bc0f4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 29 2020 22:20:50 +0000
Subject: [PATCH 725/2232] Preserve inner attrs inside bridge module


---

diff --git a/gen/src/file.rs b/gen/src/file.rs
index a2f86e6..c696407 100644
--- a/gen/src/file.rs
+++ b/gen/src/file.rs
@@ -21,7 +21,7 @@ fn parse(input: ParseStream, modules: &mut Vec<Module>) -> Result<()> {
     while !input.is_empty() {
         let mut cxx_bridge = false;
         let mut namespace = Namespace::none();
-        let attrs = input.call(Attribute::parse_outer)?;
+        let mut attrs = input.call(Attribute::parse_outer)?;
         for attr in &attrs {
             let path = &attr.path.segments;
             if path.len() == 2 && path[0].ident == "cxx" && path[1].ident == "bridge" {
@@ -45,6 +45,7 @@ fn parse(input: ParseStream, modules: &mut Vec<Module>) -> Result<()> {
         if cxx_bridge {
             let mut module: Module = input.parse()?;
             module.namespace = namespace;
+            attrs.extend(module.attrs);
             module.attrs = attrs;
             modules.push(module);
         } else {

